be.fgov.ehealth.technicalconnector.signature

## Enum AdvancedElectronicSignatureEnumeration

- java.lang.Object
- - java.lang.Enum<AdvancedElectronicSignatureEnumeration>
  - - be.fgov.ehealth.technicalconnector.signature.AdvancedElectronicSignatureEnumeration

- All Implemented Interfaces:
    Serializable, Comparable<AdvancedElectronicSignatureEnumeration>

      public enum AdvancedElectronicSignatureEnumeration
      extends Enum<AdvancedElectronicSignatureEnumeration>

  Enumeration of the different signature types that can be supported.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAdES` CAdES: Basic Electronic Signature.
    `CAdES_A` CAdES-A: Archival Electronic Signatures.
    `CAdES_C` CAdES-C: Electronic Signature with Complete Validation Data References.
    `CAdES_T` CAdES-T: Electronic Signature with Time.
    `CAdES_X` CAdES-X: Extended Signatures with Time Forms.
    `CAdES_X_L` CAdES-X-L: Extended Long Electronic Signatures with Time.
    `CMS` CMS: Cryptographic Message Syntax
    `XAdES` XAdES: Basic Electronic Signature.
    `XAdES_A` XAdES-A: Archival Electronic Signatures.
    `XAdES_C` XAdES-C: Electronic Signature with Complete Validation Data References.
    `XAdES_T` XAdES-T: Electronic Signature with Time.
    `XAdES_X` XAdES-X: Extended Signatures with Time Forms.
    `XAdES_X_L` XAdES-X-L: Extended Long Electronic Signatures with Time.
    `XML` XML digital signature

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNickname()`
    `String` | `getTitle()`
    `static AdvancedElectronicSignatureEnumeration` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AdvancedElectronicSignatureEnumeration[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### XML

          public static final AdvancedElectronicSignatureEnumeration XML

      XML digital signature

    - #### XAdES

          public static final AdvancedElectronicSignatureEnumeration XAdES

      XAdES: Basic Electronic Signature.

    - #### XAdES_T

          public static final AdvancedElectronicSignatureEnumeration XAdES_T

      XAdES-T: Electronic Signature with Time.

    - #### XAdES_C

          public static final AdvancedElectronicSignatureEnumeration XAdES_C

      XAdES-C: Electronic Signature with Complete Validation Data References.

    - #### XAdES_X

          public static final AdvancedElectronicSignatureEnumeration XAdES_X

      XAdES-X: Extended Signatures with Time Forms.

    - #### XAdES_X_L

          public static final AdvancedElectronicSignatureEnumeration XAdES_X_L

      XAdES-X-L: Extended Long Electronic Signatures with Time.

    - #### XAdES_A

          public static final AdvancedElectronicSignatureEnumeration XAdES_A

      XAdES-A: Archival Electronic Signatures.

    - #### CMS

          public static final AdvancedElectronicSignatureEnumeration CMS

      CMS: Cryptographic Message Syntax

    - #### CAdES

          public static final AdvancedElectronicSignatureEnumeration CAdES

      CAdES: Basic Electronic Signature.

    - #### CAdES_T

          public static final AdvancedElectronicSignatureEnumeration CAdES_T

      CAdES-T: Electronic Signature with Time.

    - #### CAdES_C

          public static final AdvancedElectronicSignatureEnumeration CAdES_C

      CAdES-C: Electronic Signature with Complete Validation Data References.

    - #### CAdES_X

          public static final AdvancedElectronicSignatureEnumeration CAdES_X

      CAdES-X: Extended Signatures with Time Forms.

    - #### CAdES_X_L

          public static final AdvancedElectronicSignatureEnumeration CAdES_X_L

      CAdES-X-L: Extended Long Electronic Signatures with Time.

    - #### CAdES_A

          public static final AdvancedElectronicSignatureEnumeration CAdES_A

      CAdES-A: Archival Electronic Signatures.

  - ### Method Detail

    - #### values

          public static AdvancedElectronicSignatureEnumeration[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AdvancedElectronicSignatureEnumeration c : AdvancedElectronicSignatureEnumeration.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AdvancedElectronicSignatureEnumeration valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getNickname

          public String getNickname()

    - #### getTitle

          public String getTitle()

Connector Packaging PERSPRACTICALNURSE 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.